/**
 * Main 部件模型
 *
 * @export
 * @class MainModel
 */
export default class MainModel {

  /**
  * 获取数据项集合
  *
  * @returns {any[]}
  * @memberof MainModel
  */
  public getDataItems(): any[] {
    return [
      {
        name: 'srfwfmemo',
        prop: 'srfwfmemo',
        dataType: 'TEXT',
      },
      // 前端新增修改标识，新增为"0",修改为"1"或未设值
      {
        name: 'srffrontuf',
        prop: 'srffrontuf',
        dataType: 'TEXT',
      },
      {
        name: 'srfupdatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'srforikey',
      },
      {
        name: 'srfkey',
        prop: 'ibizbookid',
        dataType: 'GUID',
      },
      {
        name: 'srfmajortext',
        prop: 'ibizbookname',
        dataType: 'TEXT',
      },
      {
        name: 'srftempmode',
      },
      {
        name: 'srfuf',
      },
      {
        name: 'srfdeid',
      },
      {
        name: 'srfsourcekey',
      },
      {
        name: 'ibizbookid',
        prop: 'ibizbookid',
        dataType: 'GUID',
      },
      {
        name: 'ibizbookname',
        prop: 'ibizbookname',
        dataType: 'TEXT',
      },
      {
        name: 'author',
        prop: 'author',
        dataType: 'TEXT',
      },
      {
        name: 'press',
        prop: 'press',
        dataType: 'TEXT',
      },
      {
        name: 'price',
        prop: 'price',
        dataType: 'FLOAT',
      },
      {
        name: 'type',
        prop: 'type',
        dataType: 'TEXT',
      },
      {
        name: 'booknumber',
        prop: 'booknumber',
        dataType: 'INT',
      },
      {
        name: 'sailstate',
        prop: 'sailstate',
        dataType: 'TEXT',
      },
      {
        name: 'lendouttime',
        prop: 'lendouttime',
        dataType: 'DATE',
      },
      {
        name: 'returntime',
        prop: 'returntime',
        dataType: 'DATE',
      },
      {
        name: 'tag',
        prop: 'tag',
        dataType: 'LONGTEXT',
      },
      {
        name: 'formitem',
        prop: 'type',
        dataType: 'TEXT',
      },
      {
        name: 'icon',
        prop: 'icon',
        dataType: 'LONGTEXT',
      },
      {
        name: 'subtext',
        prop: 'subtext',
        dataType: 'TEXT',
      },
      {
        name: 'createman',
        prop: 'createman',
        dataType: 'TEXT',
      },
      {
        name: 'createdate',
        prop: 'createdate',
        dataType: 'DATETIME',
      },
      {
        name: 'updateman',
        prop: 'updateman',
        dataType: 'TEXT',
      },
      {
        name: 'updatedate',
        prop: 'updatedate',
        dataType: 'DATETIME',
      },
      {
        name: 'ibizbook',
        prop: 'ibizbookid',
        dataType: 'FONTKEY',
      },
    ]
  }

}